Skip to content

Get object with live state

GET
/api/v1/objects/{id}
curl --request GET \
--url https://example.com/api/v1/objects/example \
--header 'Authorization: Bearer <token>'
id
required
string

OK

Media typeapplication/json
object
createdAt
string format: date-time
folder
string
hostId
string
hostName
string
id
string
kind
string
labels
object
key
additional properties
string
name
string
spec
object
address
string
args
Array<string>
checkCommand
string
checkPeriod
string
contactGroups
Array<string>
contacts
Array<string>
enableChecks
boolean
enableFlapDetection
boolean
enableNotifications
boolean
flapThresholdHigh
number
flapThresholdLow
number
interval
integer
maxCheckAttempts
integer
notificationPeriod
string
notifyOn
Array<string>
parents
Array<string>
retryInterval
integer
runbook
string
stalenessAfter
integer
stalenessText
string
templates
Array<string>
thresholdMode
string
timeout
integer
vars
object
key
additional properties
string
zone
string
state
object
ackComment
string
ackedBy
string
attempt
required
integer
downtimeDepth
required
integer
execMs
integer
flapPct
number
flapping
required
boolean
lastCheck
string format: date-time
lastHardChange
string format: date-time
lastOk
string format: date-time
latencyMs
integer
longOutput
string
nextCheck
string format: date-time
objectId
required
string
output
string
perfdata
string
state
required
integer
stateType
required
string
tenantId
string
updatedAt
string format: date-time
version
integer
Examplegenerated
{
"createdAt": "2026-04-15T12:00:00Z",
"folder": "example",
"hostId": "example",
"hostName": "example",
"id": "example",
"kind": "example",
"labels": {
"additionalProperty": "example"
},
"name": "example",
"spec": {
"address": "example",
"args": [
"example"
],
"checkCommand": "example",
"checkPeriod": "example",
"contactGroups": [
"example"
],
"contacts": [
"example"
],
"enableChecks": true,
"enableFlapDetection": true,
"enableNotifications": true,
"flapThresholdHigh": 1,
"flapThresholdLow": 1,
"interval": 1,
"maxCheckAttempts": 1,
"notificationPeriod": "example",
"notifyOn": [
"example"
],
"parents": [
"example"
],
"retryInterval": 1,
"runbook": "example",
"stalenessAfter": 1,
"stalenessText": "example",
"templates": [
"example"
],
"thresholdMode": "example",
"timeout": 1,
"vars": {
"additionalProperty": "example"
},
"zone": "example"
},
"state": {
"ackComment": "example",
"ackedBy": "example",
"attempt": 1,
"downtimeDepth": 1,
"execMs": 1,
"flapPct": 1,
"flapping": true,
"lastCheck": "2026-04-15T12:00:00Z",
"lastHardChange": "2026-04-15T12:00:00Z",
"lastOk": "2026-04-15T12:00:00Z",
"latencyMs": 1,
"longOutput": "example",
"nextCheck": "2026-04-15T12:00:00Z",
"objectId": "example",
"output": "example",
"perfdata": "example",
"state": 1,
"stateType": "example"
},
"tenantId": "example",
"updatedAt": "2026-04-15T12:00:00Z",
"version": 1
}

Problem Details (RFC 9457)

Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{
"code": "example",
"detail": "example",
"instance": "example",
"status": 1,
"title": "example",
"type": "example"
}